import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
import { SmzUiBuilder } from './ui-builder';
export declare class SmzUiNotificationsBuilder extends SmzBuilderUtilities<SmzUiNotificationsBuilder> {
    private _builder;
    protected that: this;
    constructor(_builder: SmzUiBuilder);
    setApiUrl(url: string): SmzUiNotificationsBuilder;
    hideIndicators(): SmzUiNotificationsBuilder;
    hideRefreshButton(): SmzUiNotificationsBuilder;
    setWidth(width: string): SmzUiNotificationsBuilder;
    customStyles(styleClass: string): SmzUiNotificationsBuilder;
    setZIndex(zIndex: number): SmzUiNotificationsBuilder;
    setUpdateRate(miliseconds: number): SmzUiNotificationsBuilder;
    setEmptyMessage(message: string): SmzUiNotificationsBuilder;
    setTitle(title: string): SmzUiNotificationsBuilder;
    setItemsPerPage(count: number): SmzUiNotificationsBuilder;
    setPagination(settings: number[]): SmzUiNotificationsBuilder;
    get builder(): SmzUiBuilder;
}
